JUCE: Analytics Class Reference

JUCE

Public Member Functions | List of all members
Analytics Class Reference
juce_analytics » analytics

A singleton class to manage analytics data. More...

`#include <juce_Analytics.h>`

Inheritance diagram for Analytics:

## Public Member Functions
void | addDestination (AnalyticsDestination *destination)
| Adds an AnalyticsDestination to the list of AnalyticsDestinations managed by this Analytics object. More...
OwnedArray< AnalyticsDestination > & | getDestinations ()
| Returns the array of AnalyticsDestinations managed by this class. More...
void | setUserId (String newUserId)
| Sets a user ID that will be added to all AnalyticsEvents sent to AnalyticsDestinations. More...
void | setUserProperties (StringPairArray properties)
| Sets some user properties that will be added to all AnalyticsEvents sent to AnalyticsDestinations. More...
void | logEvent (const String &eventName, const StringPairArray &parameters, int eventType=0)
| Sends an AnalyticsEvent to all AnalyticsDestinations. More...
void | setSuspended (bool shouldBeSuspended)
| Suspends analytics submissions to AnalyticsDestinations. More...

## Additional Inherited Members
Static Public Member Functions inherited from DeletedAtShutdown
static void | deleteAll ()
| Deletes all extant objects. More...
Protected Member Functions inherited from DeletedAtShutdown
| DeletedAtShutdown ()
| Creates a DeletedAtShutdown object. More...
virtual | ~DeletedAtShutdown ()
| Destructor. More...

## Detailed Description

A singleton class to manage analytics data.

Use an Analytics object to manage sending analytics data to one or more AnalyticsDestinations.

See also
  AnalyticsDestination, ThreadedAnalyticsDestination, AnalyticsDestination::AnalyticsEvent

## Member Function Documentation

## ◆ addDestination()

void Analytics::addDestination | ( | AnalyticsDestination * | destination | ) |

Adds an AnalyticsDestination to the list of AnalyticsDestinations managed by this Analytics object.

The Analytics class will take ownership of the AnalyticsDestination passed to this function.

Parameters

  destination | the AnalyticsDestination to manage

## ◆ getDestinations()

OwnedArray< AnalyticsDestination > & Analytics::getDestinations | ( |  | ) |

Returns the array of AnalyticsDestinations managed by this class.

If you have added any subclasses of ThreadedAnalyticsDestination to this class then you can remove them from this list to force them to flush any pending events.

## ◆ setUserId()

void Analytics::setUserId | ( | String | newUserId | ) |

Sets a user ID that will be added to all AnalyticsEvents sent to AnalyticsDestinations.

Parameters

  newUserId | the userId to add to AnalyticsEvents

## ◆ setUserProperties()

void Analytics::setUserProperties | ( | StringPairArray | properties | ) |

Sets some user properties that will be added to all AnalyticsEvents sent to AnalyticsDestinations.

Parameters

  properties | the userProperties to add to AnalyticsEvents

## ◆ logEvent()

void Analytics::logEvent | ( | const String & | eventName,
|  | const StringPairArray & | parameters,
|  | int | eventType = `0`
| ) |  |

Sends an AnalyticsEvent to all AnalyticsDestinations.

The AnalyticsEvent will be timestamped, and will have the userId and userProperties populated by values previously set by calls to setUserId and setUserProperties. The name, parameters and type will be populated by the arguments supplied to this function.

Parameters

  eventName | the event name
  parameters | the event parameters
  eventType | (optional) an integer to indicate the event type, which will be set to 0 if not supplied.

## ◆ setSuspended()

void Analytics::setSuspended | ( | bool | shouldBeSuspended | ) |

Suspends analytics submissions to AnalyticsDestinations.

Parameters

  shouldBeSuspended | if event submission should be suspended

The documentation for this class was generated from the following file:

- juce_Analytics.h